<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="bolmod" table="bolmod" title="Functions to create BOLERO messages" ruleSequence="58" transient="true">
<datafields comments="" name="refcnt" column="refcnt" description="Number of references printed" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="attcnt" column="attcnt" description="Number of attachments printed" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="attsize" column="attsize" description="Total size of attachments printed" datatype="numeric" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="reccnt" column="reccnt" description="Number of receivers printed" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="refstream" column="refstream" description="list of all references to avoid duplicates" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="recstream" column="recstream" description="list of all receivers to avoid duplicates" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="attstream" column="attstream" description="list of all attachments to avoid duplicates" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="expper" column="expper" description="Expiry Period in days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="delnot" column="delnot" description="Delivery Notification" codetable="delnot" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="urgflg" column="urgflg" description="Urgent" viewtype="Checkbox" codetable="urgflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usesmhinr" column="usesmhinr" description="INR of SMH" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="useaddtxtstm" column="useaddtxtstm" description="Sender to Receiver Information" datatype="stream" viewtype="Block" length="8" lineOrDecimalSize="1" />
<datafields comments="" name="useref" column="useref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rolstm" column="rolstm" description="List of available roles" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" argument="true" />
<datafields comments="" name="bolownrol" column="bolownrol" description="own roles for Bolero" datatype="stream" viewtype="Block" length="40" lineOrDecimalSize="1" />
<datafields comments="" name="sector" column="sector" description="sector =parent contract" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="grppth" column="grppth" description="Path to xxxDGRP" length="40" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="bolPrintHeader" codeText="@0000" moduleName="bolmod"/>
<localMethods type="local" name="bolPrintRef" codeText="@0001" moduleName="bolmod"/>
<localMethods type="local" name="bolPrintTrailer" codeText="@0002" moduleName="bolmod"/>
<localMethods type="local" name="bolPrintSubject" codeText="@0003" moduleName="bolmod"/>
<localMethods type="local" name="bolPrintReceiver" codeText="@0004" moduleName="bolmod"/>
<initRules name="\" type="init" codeText="@0005" order="1000" moduleName="bolmod" />
<localMethods type="local" name="bolPrintFlags" codeText="@0006" moduleName="bolmod"/>
<localMethods type="local" name="bolmod488" codeText="@0007" moduleName="bolmod"/>
<localMethods type="local" name="bolSenderReceiverInformation" codeText="@0008" moduleName="bolmod"/>
<localMethods type="local" name="bolBlckTag" codeText="@0009" moduleName="bolmod"/>
<localMethods type="local" name="bolOther" codeText="@0010" moduleName="bolmod"/>
<localMethods type="local" name="bolLines" codeText="@0011" moduleName="bolmod"/>
<localMethods type="local" name="bolTextTag" codeText="@0012" moduleName="bolmod"/>
<localMethods type="local" name="printString" codeText="@0013" moduleName="bolmod"/>
<localMethods type="local" name="bolHeader" codeText="@0014" moduleName="bolmod"/>
<localMethods type="local" name="getFileEncoding" codeText="@0015" moduleName="bolmod"/>
<globalMethods name="bolGetHeaderInfo" codeText="@0016" moduleName="bolmod"/>
<localMethods type="local" name="bolMODPrepare" codeText="@0017" moduleName="bolmod"/>
<localMethods type="local" name="bolMappedTag" codeText="@0018" moduleName="bolmod"/>
<localMethods type="local" name="bolFooter" codeText="@0019" moduleName="bolmod"/>
<localMethods type="local" name="bolAmountTag" codeText="@0020" moduleName="bolmod"/>
<localMethods type="local" name="bolDateTag" codeText="@0021" moduleName="bolmod"/>
<localMethods type="local" name="bolMappedContent" codeText="@0022" moduleName="bolmod"/>
<localMethods type="local" name="bolReference" codeText="@0023" moduleName="bolmod"/>
<localMethods type="local" name="bolParty" codeText="@0024" moduleName="bolmod"/>
<localMethods type="local" name="bolPartyId" codeText="@0025" moduleName="bolmod"/>
<localMethods type="local" name="bolGetTimeStamp" codeText="@0026" moduleName="bolmod"/>
<localMethods type="local" name="printTimeStamp" codeText="@0027" moduleName="bolmod"/>
<localMethods type="local" name="cifdoka2host" codeText="@0028" moduleName="bolmod"/>
<localMethods type="local" name="bolLocationTag" codeText="@0029" moduleName="bolmod"/>
<localMethods type="local" name="bolPartyAddress" codeText="@0030" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentIssueType" codeText="@0031" moduleName="bolmod"/>
<localMethods type="local" name="bolEucpCompliance" codeText="@0032" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentaryCreditAmountVariance" codeText="@0033" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentaryCreditAdditionalAmount" codeText="@0034" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentaryCreditAmountChange" codeText="@0035" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentaryGoods" codeText="@0036" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentation" codeText="@0037" moduleName="bolmod"/>
<localMethods type="local" name="bolTermsAndConditions" codeText="@0038" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentaryCreditAvailability" codeText="@0039" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentaryCreditValidity" codeText="@0040" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentaryGoodsAmendment" codeText="@0041" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentationAmendment" codeText="@0042" moduleName="bolmod"/>
<localMethods type="local" name="bolTermsAndConditionsAmendment" codeText="@0043" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentPurpose" codeText="@0044" moduleName="bolmod"/>
<localMethods type="local" name="bolDocumentaryCreditSettlementAmount" codeText="@0045" moduleName="bolmod"/>
<localMethods type="local" name="bolTotalDebitAmount" codeText="@0046" moduleName="bolmod"/>
<localMethods type="local" name="bolMappedContent_OtherType" codeText="@0047" moduleName="bolmod"/>
<localMethods type="local" name="bolPartialShipment" codeText="@0048" moduleName="bolmod"/>
<localMethods type="local" name="bolTranshipment" codeText="@0049" moduleName="bolmod"/>
<localMethods type="local" name="bolCorporatePartyRoleType" codeText="@0050" moduleName="bolmod"/>
<localMethods type="local" name="bolFinancialInstrumentType" codeText="@0051" moduleName="bolmod"/>
<localMethods type="local" name="bolDiscrepancies" codeText="@0052" moduleName="bolmod"/>
<localMethods type="local" name="bolGuaranteeAmountChange" codeText="@0053" moduleName="bolmod"/>
<localMethods type="local" name="bolGuaranteeObject" codeText="@0054" moduleName="bolmod"/>
<localMethods type="local" name="bolGuaranteeText" codeText="@0055" moduleName="bolmod"/>
<localMethods type="local" name="bolGuaranteeType" codeText="@0056" moduleName="bolmod"/>
<localMethods type="local" name="bolGuaranteeValidity" codeText="@0057" moduleName="bolmod"/>
</eibs:Module>
