<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="coninf" table="coninf" title="Common Contract Infopanel within Business Transactions"
    transient="true" i18nSequence="19" ruleSequence="25">
  <datafields name="connarhis" column="connarhis" description="History of narratives"
      datatype="block" viewtype="Block" length="65" lineOrDecimalSize="999" viewlines="15"/>
  <datafields name="connarhisnew" column="connarhisnew" description="Narratives to add in this transaction"
      datatype="block" viewtype="Block" length="65" lineOrDecimalSize="999" viewlines="15"/>
  <datafields name="butconinf" column="butconinf" description="Contract" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="contag72his" column="contag72his" description="Historic content of TAG 72"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="999" viewlines="20"/>
  <datafields name="contag79his" column="contag79his" description="Historic content of TAG 79"
      datatype="block" viewtype="Block" length="50" lineOrDecimalSize="999" viewlines="20"/>
  <datafields name="contag72" column="contag72" description="Current content of TAG 72"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="contag79" column="contag79" description="Current content of TAG 79"
      datatype="block" viewtype="Block" length="50" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="conexedat" column="conexedat" description="Execution Date" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="recinr" column="recinr" description="INR of contract to be linked to OITEDT instances"
      lineOrDecimalSize="1"/>
  <datafields name="relusr" column="relusr" description="Release User" lineOrDecimalSize="1"/>
  <modules name="rec" type="module" argument="true"/>
  <modules name="oitinf" type="oitedt">
    <arguments name="inr" value="recinr"/>
    <arguments name="subtyp" value="!INF"/>
  </modules>
  <modules name="oitset" type="oitedt">
    <arguments name="inr" value="recinr"/>
    <arguments name="subtyp" value="!SET"/>
  </modules>
  <modules name="usr" type="usr"/>
  <modules name="usrget" type="usrget">
    <arguments name="usr" value="usr"/>
    <arguments name="getaddsub" value="! CONINFSetRELUSR"/>
  </modules>
  <panels name="coninfp" description="PD000000" width="788" height="528" popup="true">
    <components path="oitinf\oitpan" viewType="Composite" width="706" top="4" height="162"/>
    <components path="oitset\oitpan" viewType="Composite" width="706" top="168" height="162"/>
    <components path="coninfp6" viewType="Composite" width="712" left="3" top="344"
        height="140"/>
    <components path="conexedat" viewType="Date" width="80" left="132" top="496" height="22"/>
  </panels>
  <panels name="coninfp6" description="PD000001" width="712" height="140" transient="true"/>
  <panels name="coninftag" description="PD000010" width="788" height="528" popup="true">
    <components path="contag72his" viewType="Block" width="233" enabled="false" top="26"
        height="11988"/>
    <components path="contag72" viewType="Block" width="233" enabled="false" top="340"
        height="11988"/>
    <components path="contag79his" viewType="Block" width="333" enabled="false" left="340"
        top="26" height="11988"/>
    <components path="contag79" viewType="Block" width="333" enabled="false" left="340"
        top="340" height="11988"/>
    <components viewType="Label" text="S0000015" top="322" height="22"/>
    <components viewType="Label" text="S0000016" left="340" top="322" height="22"/>
    <components viewType="Label" text="S0000017" height="22"/>
    <components viewType="Label" text="S0000018" left="340" height="22"/>
  </panels>
  <localMethods name="getStdConfields" type="local" codeText="@0001" moduleName="coninf"/>
  <localMethods name="getCONNARHIS" type="local" codeText="@0002" moduleName="coninf"/>
  <localMethods name="setStdConfields" type="local" codeText="@0003" moduleName="coninf"/>
  <localMethods name="getCONTAG72HIS" type="local" codeText="@0006" moduleName="coninf"/>
  <localMethods name="getCONTAG72" type="local" codeText="@0007" moduleName="coninf"/>
  <localMethods name="getCONTAG79HIS" type="local" codeText="@0008" moduleName="coninf"/>
  <localMethods name="getCONTAG79" type="local" codeText="@0009" moduleName="coninf"/>
  <localMethods name="getStdConfieldsTAG" type="local" codeText="@0010" moduleName="coninf"/>
  <localMethods name="getCONEXEDAT" type="local" codeText="@0012" moduleName="coninf"/>
  <localMethods name="savOit" type="local" codeText="@0015" moduleName="coninf"/>
  <localMethods name="conInfLoadFromSavedata" type="local" codeText="@0017" moduleName="coninf"/>
  <localMethods name="conINFSetRELUSR" type="local" codeText="@0018" moduleName="coninf"/>
  <localMethods name="getCONCustomer" type="local" codeText="@0019" moduleName="coninf"/>
  <localMethods name="setCONCustomer" type="local" codeText="@0020" moduleName="coninf"/>
  <localMethods name="getInfoCONCustomer" type="local" codeText="@0021" moduleName="coninf"/>
  <defaultRules name="connarhisnew" type="default" codeText="@0005" order="1" moduleName="coninf"/>
  <defaultRules name="conexedat" type="default" codeText="@0013" order="1000" moduleName="coninf"/>
  <defaultRules name="recinr" type="default" codeText="@0016" order="1000" moduleName="coninf"/>
  <defaultRules name="coninftag" type="default" codeText="@0022" order="1000" moduleName="coninf"/>
  <defaultRules name="oitinf\oit\inflev" type="default" codeText="@0023" order="1000"
      moduleName="coninf"/>
  <defaultRules name="oitset\oit\inflev" type="default" codeText="@0024" order="1000"
      moduleName="coninf"/>
  <checkRules name="conexedat" type="check" codeText="@0014" order="1000" moduleName="coninf"/>
  <eventRules name="butconinf" type="event" codeText="@0000" order="1000" moduleName="coninf"/>
  <eventRules name="coninfp" type="event" codeText="@0004" order="1000" moduleName="coninf"/>
  <eventRules name="coninftag" type="event" codeText="@0011" order="1000" moduleName="coninf"/>
</eibs:Module>
