<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="irtcal" table="irtcal" title="Interest Calculation Module" i18nSequence="30" ruleSequence="35" transient="true">
<datafields comments="" name="maxdat" column="maxdat" description="High Value for Date" datatype="date" viewtype="Date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="calbegdat" column="calbegdat" description="Start date for calculation" datatype="date" viewtype="Date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="calenddat" column="calenddat" description="End date for calculation" datatype="date" viewtype="Date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="cbbenddat" column="cbbenddat" description="CBB Enddat to be used" datatype="date" viewtype="Date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="irsenddat" column="irsenddat" description="IRS Enddat to be used" datatype="date" viewtype="Date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="irsgrdenddat" column="irsgrdenddat" description="IRS Enddat to be used" datatype="date" viewtype="Date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="minamt" column="minamt" description="minimum amount per period" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="4" />
<datafields comments="" name="mingrcamt" column="mingrcamt" description="Grace Amount for minimum" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="maxamt" column="maxamt" description="maximum amount per period" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="4" />
<datafields comments="" name="cbbiniflg" column="cbbiniflg" description="Flag  before 1st read, First section missing, Normal" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="irsiniflg" column="irsiniflg" description="Flag  before 1st read, First section missing, Normal" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rc" column="rc" description="Errorcode to be set on exit" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="rctext" column="rctext" description="Errortext to be set on exit" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="irdcnt" column="irdcnt" description="used # entries in IRDELE" datatype="numeric" length="6" lineOrDecimalSize="0" />
<datafields comments="" name="irpcnt" column="irpcnt" description="used # entries in IRPELE" datatype="numeric" length="6" lineOrDecimalSize="0" />
<datafields comments="" name="irpcur" column="irpcur" description="Currency  for IRPELE" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fulperflg" column="fulperflg" description="Flag controlling totalling up IRD-Enties to IRP" codetable="fulperflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="perclsflg" column="perclsflg" description="Period Closed at the end" viewtype="Combobox" codetable="perclsflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<initRules name="\" type="init" codeText="@0000" order="1000" moduleName="irtcal" />
<localMethods type="local" name="setIRT" codeText="@0001" moduleName="irtcal"/>
<localMethods type="local" name="initialize" codeText="@0002" moduleName="irtcal"/>
<localMethods type="local" name="setPeriod" codeText="@0003" moduleName="irtcal"/>
<localMethods type="local" name="setMCC" codeText="@0004" moduleName="irtcal"/>
<localMethods type="local" name="setMIC" codeText="@0005" moduleName="irtcal"/>
<localMethods type="local" name="setPrincipal" codeText="@0006" moduleName="irtcal"/>
<localMethods type="local" name="setRate" codeText="@0007" moduleName="irtcal"/>
<localMethods type="local" name="setMargin" codeText="@0008" moduleName="irtcal"/>
<localMethods type="local" name="calcAll" codeText="@0009" moduleName="irtcal"/>
<localMethods type="local" name="calcIrp" codeText="@0010" moduleName="irtcal"/>
<localMethods type="local" name="calcIrd" codeText="@0011" moduleName="irtcal"/>
<localMethods type="local" name="setMinMax" codeText="@0012" moduleName="irtcal"/>
<localMethods type="local" name="modifyPrincipal" codeText="@0013" moduleName="irtcal"/>
<localMethods type="local" name="addIRDELE" codeText="@0014" moduleName="irtcal"/>
<localMethods type="local" name="setIRTforRate" codeText="@0015" moduleName="irtcal"/>
<localMethods type="local" name="setRateIRS" codeText="@0016" moduleName="irtcal"/>
<localMethods type="local" name="cutGrids" codeText="@0017" moduleName="irtcal"/>
<localMethods type="local" name="setMarginIRS" codeText="@0018" moduleName="irtcal"/>
<localMethods type="local" name="getLastDayofMonth" codeText="@0019" moduleName="irtcal"/>
<localMethods type="local" name="setPeriods" codeText="@0020" moduleName="irtcal"/>
<localMethods type="local" name="getEndofCurrentPeriod" codeText="@0021" moduleName="irtcal"/>
<localMethods type="local" name="setTierMargin" codeText="@0022" moduleName="irtcal"/>
<localMethods type="local" name="duplicateIRDELE" codeText="@0023" moduleName="irtcal"/>
<localMethods type="local" name="setPeriodClosed" codeText="@0024" moduleName="irtcal"/>
<localMethods type="local" name="modifyMargin" codeText="@0025" moduleName="irtcal"/>
<localMethods type="local" name="setPrincipalCBB" codeText="@0026" moduleName="irtcal"/>
<localMethods type="local" name="setMinGrcAmt" codeText="@0027" moduleName="irtcal"/>
<modules name="irdele" type="irdele" list="true" pageSize="1" initSize="15" >
</modules>
<modules name="irpele" type="irpele" list="true" pageSize="1" initSize="10" >
</modules>
<modules name="irs" type="irs" >
</modules>
<modules name="cbb" type="cbb" >
</modules>
<modules name="irt" type="irt" >
</modules>
<datafields comments="" name="permet" column="permet" description="Period Method" viewtype="Combobox" codetable="permet" length="6" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="irtmcccal" codeText="@0028" moduleName="irtcal"/>
<localMethods type="local" name="irtmiccal" codeText="@0029" moduleName="irtcal"/>
<localMethods type="local" name="getPerMetCodes" codeText="@0030" moduleName="irtcal"/>
<localMethods type="local" name="getNextPeriod" codeText="@0031" moduleName="irtcal"/>
<localMethods type="local" name="irtGrdsAdjustForShow" codeText="@0032" moduleName="irtcal"/>
<localMethods type="local" name="calcAllCur" codeText="@0033" moduleName="irtcal"/>
<localMethods type="local" name="setRateFix" codeText="@0034" moduleName="irtcal"/>
</eibs:Module>
