<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="liaallg" table="liaallg" title="Single Grid Entry of Liabilities"
    transient="true" i18nSequence="113" ruleSequence="82">
  <datafields name="matdat" column="matdat" description="Maturity Date" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="setdatold" column="setdatold" description="Settled until before this Settlement"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="cur" column="cur" description="Currency" viewtype="Combobox" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="amt" column="amt" description="Amount" datatype="numeric" viewtype="Amount"
      length="18" lineOrDecimalSize="3"/>
  <datafields name="extamt" column="extamt" description="Change amount of External Amount portion"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="extoldamt" column="extoldamt" description="Old Amount of External Amount portion as read from database"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="amt2" column="amt2" description="Additional Amount Part" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="oldamt" column="oldamt" description="Old Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="oldamt2" column="oldamt2" description="Old Additional Amount Part"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="amtchgflg" column="amtchgflg" description="Amount changing allowed?"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="extid" column="extid" description="Accept ID" viewtype="Combobox"
      length="16" lineOrDecimalSize="1" codetable="extid"/>
  <datafields name="acc2" column="acc2" description="Contra Account" viewtype="Combobox"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="acc" column="acc" description="Account" viewtype="Combobox" length="34"
      lineOrDecimalSize="1"/>
  <datafields name="valdat" column="valdat" description="Value Date" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="oldflg" column="oldflg" description="Flag, set if line is read from old entry"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="tenpct" column="tenpct" description="Tenor Percent" datatype="numeric"
      length="6" lineOrDecimalSize="3"/>
  <datafields name="liaptyinr" column="liaptyinr" description="INR of Party for Account Defaulting"
      lineOrDecimalSize="1"/>
  <datafields name="amtptl" column="amtptl" description="Partial Amount for Different Party"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="rol" column="rol" description="Role" viewtype="Combobox" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="cdtrol" column="cdtrol" description="Credit Role" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="nam" column="nam" description="name" length="40" lineOrDecimalSize="1"/>
  <datafields name="det" column="det" description="Details" datatype="control" viewtype="Button"
      length="10"/>
  <datafields name="dftfeecod" column="dftfeecod" description="Default Feecode" length="6"
      lineOrDecimalSize="1"/>
  <datafields name="feecodaddcov" column="feecodaddcov" description="Cover Flag to be added"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="feecod" column="feecod" description="Fee Code used" viewtype="Combobox"
      lineOrDecimalSize="1"/>
  <datafields name="objmodpath" column="objmodpath" description="Path of Contract Module"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="cbtpfx" column="cbtpfx" description="Type of Liability" viewtype="Combobox"
      length="3" lineOrDecimalSize="1" codetable="cbtpfx"/>
  <datafields name="grpkey" column="grpkey" description="Liability Group" viewtype="Combobox"
      length="6" lineOrDecimalSize="1" codetable="grpkey"/>
  <datafields name="cbtpfxlst" column="cbtpfxlst" description="Type of Liability allowed for this line from LiaallSetCbsAmount"
      datatype="block" viewtype="Block" length="3" lineOrDecimalSize="10"/>
  <datafields name="bussec" column="bussec" description="Business Sector for showing it in grid and account defaulting in LIAONE"
      viewtype="Combobox" length="2" lineOrDecimalSize="1"/>
  <datafields name="covtyp" column="covtyp" description="Type of Cover" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="covtyp"/>
  <datafields name="fecold" column="fecold" description="Content of FEC in Database"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="feehndidx" column="feehndidx" description="Index in LIAALLG in wich comission is calculated"
      datatype="numeric" length="2"/>
  <datafields name="feclst" column="feclst" description="List of condition records condition is calculated of"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="fecdet" column="fecdet" description="Info" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="fecdetapy" column="fecdetapy" description="apply" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="tenday" column="tenday" description="Maximum tenor in days" datatype="numeric"
      length="3"/>
  <modules name="acplia" type="liaone">
    <arguments name="bussec" value="bussec"/>
  </modules>
  <modules name="fec" type="fec"/>
  <modules name="fee" type="fee"/>
  <modules name="wrkfee" type="fee" static="true"/>
  <modules name="ptegrp" type="ptegrp"/>
  <modules name="mtdbut" type="mtdbut"/>
  <modules name="fecp1" type="fecp1">
    <arguments name="fec" value="fec"/>
  </modules>
  <modules name="fecinf" type="oitedt">
    <arguments name="subtyp" value="!INF"/>
    <arguments name="inr" value="fec\inr"/>
  </modules>
  <panels name="detp" description="PD000001" width="788" height="508" visible="false"
      popup="true">
    <components path="rol" viewType="Combobox" width="75" left="130" height="22"/>
    <components path="cur" viewType="Combobox" width="75" enabled="false" left="130"
        top="36" height="22"/>
    <components path="oldamt" viewType="Amount" width="120" enabled="false" left="182"
        top="36" height="22"/>
    <components path="cur" viewType="Combobox" width="75" left="536" top="36" height="22"/>
    <components path="amt" viewType="Amount" width="120" left="588" top="36" height="22"/>
    <components path="valdat" viewType="Date" width="80" left="130" top="64" height="22"/>
    <components path="acc" viewType="Combobox" width="226" left="130" top="92" height="22"/>
    <components path="acc2" viewType="Combobox" width="226" left="130" top="116" height="22"/>
    <components path="matdat" viewType="Date" width="80" left="536" top="64" height="22"/>
    <components path="acplia\cbe\acc" width="226" enabled="false" left="132" top="92"
        height="22"/>
    <components path="acplia\cbe\acc2" width="226" enabled="false" left="132" top="116"
        height="22"/>
    <components path="mtdbut\mtdbutu" viewType="Composite" width="60" left="724" height="69"/>
    <components path="mtdbut\mtdbutl" viewType="Composite" width="60" left="724" top="452"
        height="45"/>
    <components path="feedet" viewType="Composite" width="710" left="4" top="140"
        height="365"/>
    <components path="acplia\cbe\amt" viewType="Amount" width="120" enabled="false"
        left="588" top="116" height="22"/>
    <components path="acplia\wrkcbb\amt" viewType="Amount" width="120" enabled="false"
        left="588" top="92" height="22"/>
    <components path="acplia\cbe\cur" width="20" enabled="false" left="536" top="116"
        height="22"/>
    <components path="acplia\wrkcbb\cur" width="20" enabled="false" left="536" top="92"
        height="22"/>
    <components path="fecdet" viewType="Button" width="66" text="CF000111" left="724"
        top="196" height="22"/>
    <components viewType="Label" text="SF000002" left="416" top="36" height="22"/>
    <components viewType="Label" text="SF000004" height="22"/>
    <components viewType="Label" text="SF000006" top="36" height="22"/>
    <components viewType="Label" text="SF000007" top="92" height="22"/>
    <components viewType="Label" text="SF000008" top="116" height="22"/>
    <components viewType="Label" text="SF000010" left="416" top="64" height="22"/>
    <components viewType="Label" text="SF000078" top="64" height="22"/>
    <components viewType="Label" text="SF000108" left="416" top="92" height="22"/>
    <components viewType="Label" text="SF000110" left="416" top="116" height="22"/>
  </panels>
  <panels name="feedet" description="PD000040" width="710" height="365" transient="true"
      visible="false">
    <components path="fec\feepri" viewType="Label" width="6" enabled="false" required="true"
        left="620" top="26" height="22"/>
    <components path="ptegrp\rec\rolpay" viewType="Combobox" width="75" left="126"
        top="2" height="22"/>
    <components path="feecod" viewType="Combobox" width="75" enabled="false" left="200"
        top="26" height="22"/>
    <components path="fecp1\fectrn" viewType="Composite" width="710" left="0" top="50"
        height="260"/>
    <components path="ptegrp\rec\begdat" viewType="Date" width="80" left="126" top="340"
        height="22"/>
    <components path="ptegrp\rec\setdat" viewType="Date" width="80" enabled="false"
        left="342" top="340" height="22"/>
    <components path="feecod" viewType="Combobox" width="75" left="126" top="26" height="22"/>
    <components viewType="Label" text="S0000041" left="4" top="2" height="22"/>
    <components viewType="Label" text="S0000042" left="4" top="26" height="22"/>
    <components viewType="Label" text="S0000106" left="4" top="340" height="22"/>
    <components viewType="Label" text="S0000107" left="263" top="340" height="22"/>
    <components viewType="Label" text="SF000109" left="512" top="26" height="22"/>
  </panels>
  <panels name="fecdetp" description="PD000000" width="788" height="528" visible="false"
      popup="true">
    <components path="fecinf\oitpan" viewType="Composite" width="706" left="4" height="162"/>
    <components path="fecdetapy" viewType="Button" width="66" text="CF000112" left="724"
        top="12" height="22"/>
  </panels>
  <localMethods name="setFec" type="local" codeText="@0015" moduleName="liaallg"/>
  <localMethods name="getDefaultFeecod" type="local" codeText="@0033" moduleName="liaallg"/>
  <localMethods name="setValdat" type="local" codeText="@0038" moduleName="liaallg"/>
  <localMethods name="getGroupKey" type="local" codeText="@0046" moduleName="liaallg"/>
  <localMethods name="setMatdat" type="local" codeText="@0047" moduleName="liaallg"/>
  <localMethods name="getAvailAcc" type="local" codeText="@0049" moduleName="liaallg"/>
  <localMethods name="clearLiaallg" type="local" codeText="@0050" moduleName="liaallg"/>
  <localMethods name="getTenorId" type="local" codeText="@0055" moduleName="liaallg"/>
  <localMethods name="getMaxSub" type="local" codeText="@0056" moduleName="liaallg"/>
  <localMethods name="getTnrId" type="local" codeText="@0058" moduleName="liaallg"/>
  <localMethods name="getcbtvalues" type="local" codeText="@0059" moduleName="liaallg"/>
  <localMethods name="hasOldAccountToBeValid" type="local" codeText="@0060" moduleName="liaallg"/>
  <localMethods name="setFecForNewCom" type="local" codeText="@0061" moduleName="liaallg"/>
  <localMethods name="isIsfChg" type="local" codeText="@0062" moduleName="liaallg"/>
  <localMethods name="setCusPanelDescription" type="local" codeText="@0066" moduleName="liaallg"/>
  <localMethods name="getValDatForDate" type="local" codeText="@0067" moduleName="liaallg"/>
  <localMethods name="setValDatCal" type="local" codeText="@0068" moduleName="liaallg"/>
  <localMethods name="setFecIsm" type="local" codeText="@0069" moduleName="liaallg"/>
  <defaultRules name="acc" type="default" codeText="@0000" order="1000" moduleName="liaallg"/>
  <defaultRules name="acc2" type="default" codeText="@0001" order="1000" moduleName="liaallg"/>
  <defaultRules name="cur" type="default" codeText="@0002" order="1000" moduleName="liaallg"/>
  <defaultRules name="pctamt" type="default" codeText="@0007" order="1000" moduleName="liaallg">
    <paths>amt</paths>
    <paths>tenpct</paths>
    <paths>amtptl</paths>
    <paths>matdat</paths>
    <paths>cbtpfx</paths>
    <paths>bussec</paths>
    <paths>cbtpfxlst</paths>
  </defaultRules>
  <defaultRules name="acplia\liaptyinr" type="default" codeText="@0008" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="extid" type="default" codeText="@0009" order="1000" moduleName="liaallg"/>
  <defaultRules name="nam" type="default" codeText="@0010" order="1000" moduleName="liaallg"/>
  <defaultRules name="valdat" type="default" codeText="@0011" order="500" moduleName="liaallg"/>
  <defaultRules name="detp" type="default" codeText="@0013" order="1000" moduleName="liaallg"/>
  <defaultRules name="det" type="default" codeText="@0014" order="1000" moduleName="liaallg"/>
  <defaultRules name="feeAndFec" type="default" codeText="@0016" order="900" moduleName="liaallg">
    <paths>fee</paths>
    <paths>fecp1\mac</paths>
  </defaultRules>
  <defaultRules name="feecod" type="default" codeText="@0017" order="1000" moduleName="liaallg"/>
  <defaultRules name="fec\pertyp" type="default" codeText="@0018" order="950" moduleName="liaallg"/>
  <defaultRules name="ptegrp\rec\begdat" type="default" codeText="@0019" moduleName="liaallg"/>
  <defaultRules name="ptegrp\rec\rolpay" type="default" codeText="@0020" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="ptegrp\rec\extid" type="default" codeText="@0021" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="ptegrp\rec\subid" type="default" codeText="@0022" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="acplia\objmod" type="default" codeText="@0023" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="dftfeecod" type="default" codeText="@0025" order="1000" moduleName="liaallg"/>
  <defaultRules name="feecodaddcov" type="default" codeText="@0026" order="1000" moduleName="liaallg"/>
  <defaultRules name="ptegrp\rec\covtyp" type="default" codeText="@0027" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="feedet" type="default" codeText="@0028" order="1000" moduleName="liaallg"/>
  <defaultRules name="amtchgflg" type="default" codeText="@0029" order="1000" moduleName="liaallg"/>
  <defaultRules name="ptegrp\rec\setdat" type="default" codeText="@0032" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="feedet" type="default" codeText="@0042" order="950" moduleName="liaallg"/>
  <defaultRules name="ratDefault" type="default" codeText="@0045" order="1000" moduleName="liaallg">
    <paths>fec\ratcal</paths>
    <paths>fec\amtbegtr2</paths>
    <paths>fec\amtrattr2</paths>
    <paths>fec\amtbegtr3</paths>
    <paths>fec\amtrattr3</paths>
    <paths>fec\amtbegtr4</paths>
    <paths>fec\amtrattr4</paths>
  </defaultRules>
  <defaultRules name="ptegrp\rec\nxtcomdat" type="default" codeText="@0048" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="acplia\cbe\amt" type="default" codeText="@0051" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="fecinf\oit" type="default" codeText="@0052" order="1200" moduleName="liaallg"/>
  <defaultRules name="fecp1\pansta" type="default" codeText="@0057" order="1000" moduleName="liaallg"/>
  <defaultRules name="acplia\cbe\dat" type="default" codeText="@0073" order="1100"
      moduleName="liaallg"/>
  <defaultRules name="tenday" type="default" codeText="@0076" order="1000" moduleName="liaallg"/>
  <defaultRules name="matdat" type="default" codeText="@0077" order="1100" moduleName="liaallg"/>
  <defaultRules name="acplia\tenday" type="default" codeText="@0078" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="valdat" type="default" codeText="@0079" order="1000" moduleName="liaallg"/>
  <defaultRules name="fecp1\fec\perrattr7" type="default" codeText="@0080" order="1000"
      moduleName="liaallg"/>
  <defaultRules name="fecp1\fec\settyp" type="default" codeText="@0081" order="1000"
      moduleName="liaallg"/>
  <checkRules name="amt" type="check" codeText="@0024" order="1000" moduleName="liaallg"/>
  <checkRules name="rol" type="check" codeText="@0035" order="1000" moduleName="liaallg"/>
  <checkRules name="matdat" type="check" codeText="@0036" order="1000" moduleName="liaallg"/>
  <checkRules name="fec\ratcal" type="check" codeText="@0043" order="1000" moduleName="liaallg"/>
  <checkRules name="fec\minamt" type="check" codeText="@0044" order="1000" moduleName="liaallg"/>
  <checkRules name="acc" type="check" codeText="@0063" order="980" moduleName="liaallg"/>
  <checkRules name="acc2" type="check" codeText="@0064" order="980" moduleName="liaallg"/>
  <checkRules name="matdat" type="check" codeText="@0065" order="2000" moduleName="liaallg"/>
  <checkRules name="acc" type="check" codeText="@0070" order="950" moduleName="liaallg"/>
  <checkRules name="feecod" type="check" codeText="@0071" order="1000" moduleName="liaallg"/>
  <checkRules name="rol" type="check" codeText="@0072" order="950" moduleName="liaallg"/>
  <checkRules name="fec\setperflg" type="check" codeText="@0074" order="1000" moduleName="liaallg"/>
  <checkRules name="acc" type="check" codeText="@0075" order="1200" moduleName="liaallg"/>
  <eventRules name="extid" type="event" codeText="@0003" order="1000" moduleName="liaallg"/>
  <eventRules name="acc" type="event" codeText="@0004" order="1000" moduleName="liaallg"/>
  <eventRules name="acc2" type="event" codeText="@0005" order="1000" moduleName="liaallg"/>
  <eventRules name="matdat" type="event" codeText="@0006" order="1000" moduleName="liaallg"/>
  <eventRules name="det" type="event" codeText="@0012" order="1000" moduleName="liaallg"/>
  <eventRules name="amt" type="event" codeText="@0030" order="1000" moduleName="liaallg"/>
  <eventRules name="tenpct" type="event" codeText="@0031" order="1000" moduleName="liaallg"/>
  <eventRules name="detp" type="event" codeText="@0034" order="500" moduleName="liaallg"/>
  <eventRules name="cbtpfx" type="event" codeText="@0037" order="1000" moduleName="liaallg"/>
  <eventRules name="mtdbut\butcan" type="event" codeText="@0039" order="2000" moduleName="liaallg"/>
  <eventRules name="detp" type="event" codeText="@0040" order="1000" moduleName="liaallg"/>
  <eventRules name="fec\setperflg" type="event" codeText="@0041" order="1000" moduleName="liaallg"/>
  <eventRules name="fecdet" type="event" codeText="@0053" order="1000" moduleName="liaallg"/>
  <eventRules name="fecdetapy" type="event" codeText="@0054" order="1000" moduleName="liaallg"/>
</eibs:Module>
