<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="liaccv" table="liaccv" title="Module handling cash cover" transient="true"
    i18nSequence="37" ruleSequence="38">
  <datafields name="concur" column="concur" description="Contract currency" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="oldamt" column="oldamt" description="Old open Amount of contract"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="oldcur" column="oldcur" description="Currency of open Amount of contract"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="oldresamt" column="oldresamt" description="Old reserved Amount for subcontracts"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="chgamt" column="chgamt" description="Change of open amount in this transaction"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="chgresamt" column="chgresamt" description="Change of reserved amount in this transaction"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="totcovamt" column="totcovamt" description="Total Coverage Amount"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="newamt" column="newamt" description="New base amount for cash cover"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="newresamt" column="newresamt" description="New base amount reserved for subcontracts"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="newrol" column="newrol" description="Role new amount to be assigned"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="canflg" column="canflg" description="Not empty, if liability for OBJMODPATH is canceled in this transaction"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="fcduseflg" column="fcduseflg" description="Flag, judging how forward contracts are used"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="fcduseflg"/>
  <datafields name="objmodpath" column="objmodpath" description="Contact for which cash cover is handled in this transaction"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="addinf" column="addinf" description="Additional Information e.g. about forward contracts"
      datatype="block" viewtype="Block" length="70" lineOrDecimalSize="30" viewlines="5"/>
  <datafields name="cshpct" column="cshpct" description="保证金应收比例" datatype="numeric"
      length="5" lineOrDecimalSize="2"/>
  <datafields name="relcshpct" column="relcshpct" description="保证金实收比例" datatype="numeric"
      length="5" lineOrDecimalSize="2"/>
  <datafields name="gleflg" column="gleflg" description="Create gle flag" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="chgcurflg" column="chgcurflg" description="Change currency flag"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <datafields name="addccvstm" column="addccvstm" description="add the cash cover record list"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="add" column="add" description="add a cash" datatype="control"
      viewtype="Button" length="6" lineOrDecimalSize="1"/>
  <datafields name="del" column="del" description="Delete  a cash" datatype="control"
      viewtype="Button" length="6" lineOrDecimalSize="1"/>
  <datafields name="pctresamt" column="pctresamt" description="reserve amount based percent"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="autcalflg" column="autcalflg" description="Auto calculate flag"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <modules name="liaccvg" type="liaccvg" list="true" pageSize="1" initSize="2"/>
  <modules name="wrkcbb" type="cbb"/>
  <modules name="fcdgrp" type="fcdgrp"/>
  <modules name="fcdlod" type="fcdlod"/>
  <panels name="ccvpan" description="PD000001" width="788" height="528">
    <components path="newamt" viewType="Amount" width="120" enabled="false" left="184"
        height="22"/>
    <components path="concur" width="20" enabled="false" left="132" height="22"/>
    <components path="concur" width="20" enabled="false" left="132" top="324" height="22"/>
    <components path="totcovamt" viewType="Amount" width="120" enabled="false" left="180"
        top="324" height="22"/>
    <components path="newresamt" viewType="Amount" width="120" enabled="false" left="184"
        top="32" height="22"/>
    <components path="concur" width="20" enabled="false" left="132" top="32" height="22"/>
    <components path="ccvinf" viewType="Composite" width="680" left="0" top="368"
        height="150"/>
    <components path="concur" width="20" enabled="false" left="132" top="56" height="22"/>
    <components viewType="Label" text="SF000010" height="22"/>
    <components viewType="Label" text="SF000011" top="324" height="22"/>
    <components viewType="Label" text="SF000013" top="32" height="22"/>
    <components viewType="Label" text="SF000027" left="556" height="22"/>
    <components viewType="Label" text="SF000028" left="556" top="32" height="22"/>
    <components path="cshpct" width="33" left="492" height="22"/>
    <components path="relcshpct" width="33" enabled="false" left="492" top="32" height="22"/>
    <components path="gleflg" viewType="Checkbox" width="75" enabled="false" text="CG000030"
        left="599" top="32" height="22"/>
    <components path="add" viewType="Button" width="40" text="CG000031" left="632"
        top="86" height="22"/>
    <components path="del" viewType="Button" width="40" text="CG000032" left="673"
        top="86" height="22"/>
    <components path="chgcurflg" viewType="Checkbox" width="75" enabled="false" text="CG000034"
        top="86" height="22"/>
    <components path="pctresamt" viewType="Amount" width="120" enabled="false" left="184"
        top="56" height="22"/>
    <components viewType="Label" text="SG000025" left="392" height="22"/>
    <components viewType="Label" text="SG000026" left="392" top="32" height="22"/>
    <components viewType="Label" text="SG000035" top="56" height="22"/>
  </panels>
  <panels name="ccvinf" description="PD000015" width="680" height="150" transient="true"
      visible="false" enabled="false">
    <components path="addinf" viewType="Block" width="466" enabled="false" left="132"
        height="360"/>
    <components viewType="Label" text="SF000017" height="22"/>
  </panels>
  <localMethods name="storeCCV" type="local" codeText="@0000" moduleName="liaccv"/>
  <localMethods name="getold" type="local" codeText="@0001" moduleName="liaccv"/>
  <localMethods name="assertLiaccv" type="local" codeText="@0002" moduleName="liaccv"/>
  <localMethods name="getOldCovers" type="local" codeText="@0006" moduleName="liaccv"/>
  <localMethods name="getfcdoldamt" type="local" codeText="@0010" moduleName="liaccv"/>
  <localMethods name="clearCcv" type="local" codeText="@0012" moduleName="liaccv"/>
  <localMethods name="sesmodGetAvbFCD" type="local" codeText="@0013" moduleName="liaccv"/>
  <localMethods name="cbsTrnStoreCcv" type="local" codeText="@0014" moduleName="liaccv"/>
  <localMethods name="registersettlement" type="local" codeText="@0015" moduleName="liaccv"/>
  <localMethods name="fcdSav3000" type="local" codeText="@0027" moduleName="liaccv"/>
  <initRules name="\" type="init" codeText="@0019" order="500" moduleName="liaccv"/>
  <defaultRules name="newamt" type="default" codeText="@0003" order="1000" moduleName="liaccv"/>
  <defaultRules name="ccvpan" type="default" codeText="@0004" order="1000" moduleName="liaccv"/>
  <defaultRules name="totcovamt" type="default" codeText="@0005" order="1000" moduleName="liaccv"/>
  <defaultRules name="newresamt" type="default" codeText="@0009" order="1000" moduleName="liaccv"/>
  <defaultRules name="addinf" type="default" codeText="@0011" order="1000" moduleName="liaccv"/>
  <defaultRules name="ccvinf" type="default" codeText="@0017" order="1000" moduleName="liaccv"/>
  <defaultRules name="relcshpct" type="default" codeText="@0020" order="1000" moduleName="liaccv"/>
  <defaultRules name="addinf" type="default" codeText="@0021" order="1002" moduleName="liaccv"/>
  <defaultRules name="gleflg" type="default" codeText="@0022" order="1000" moduleName="liaccv"/>
  <defaultRules name="ccvpan" type="default" codeText="@0026" order="1600" moduleName="liaccv"/>
  <defaultRules name="del" type="default" codeText="@0028" order="1000" moduleName="liaccv"/>
  <defaultRules name="cshpct" type="default" codeText="@0032" order="1000" moduleName="liaccv"/>
  <defaultRules name="chgcurflg" type="default" codeText="@0033" order="1000" moduleName="liaccv"/>
  <defaultRules name="pctresamt" type="default" codeText="@0034" order="1000" moduleName="liaccv"/>
  <checkRules name="totcovamt" type="check" codeText="@0016" order="1000" moduleName="liaccv"/>
  <checkRules name="relcshpct" type="check" codeText="@0024" order="1000" moduleName="liaccv"/>
  <checkRules name="cshpct" type="check" codeText="@0025" order="1000" moduleName="liaccv"/>
  <eventRules name="ccvpan" type="event" codeText="@0007" order="1000" moduleName="liaccv"/>
  <eventRules name="liaccvg" type="event" codeText="@0008" order="300" moduleName="liaccv"/>
  <eventRules name="liaccvg" type="event" codeText="@0018" order="1000" moduleName="liaccv"/>
  <eventRules name="liaccvg" type="event" codeText="@0023" order="400" moduleName="liaccv"/>
  <eventRules name="add" type="event" codeText="@0029" order="1000" moduleName="liaccv"/>
  <eventRules name="del" type="event" codeText="@0030" order="1000" moduleName="liaccv"/>
  <eventRules name="ccvpan" type="event" codeText="@0031" order="1100" moduleName="liaccv"/>
  <eventRules name="autcalflg" type="event" codeText="@0035" order="1000" moduleName="liaccv"/>
  <eventRules name="ccvpan" type="event" codeText="@0036" order="988" moduleName="liaccv"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0037" order="498" moduleName="liaccv"/>
</eibs:Module>
