<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ptspta" table="ptspta" title="Module holding information about a contract party (usually in xxDGRP)" i18nSequence="57" ruleSequence="27" transient="true">
<datafields comments="" name="tmpflg" column="tmpflg" description="use of temporary addresses" length="1" lineOrDecimalSize="1" viewlines="1" argument="true" />
<datafields comments="" name="typflg" column="typflg" description="use of address types" length="10" lineOrDecimalSize="1" viewlines="1" argument="true" />
<datafields comments="" name="stplev" column="stplev" description="Stoplevel" length="1" lineOrDecimalSize="1" viewlines="1" argument="true" />
<datafields comments="" name="adrcpyflg" column="adrcpyflg" description="Control copying address to contract" length="1" lineOrDecimalSize="1" viewlines="1" argument="true" />
<datafields comments="" name="ptausgflg" column="ptausgflg" description="Allowed Address Usages Types" length="1" lineOrDecimalSize="1" viewlines="1" argument="true" />
<datafields comments="" name="mdtflg" column="mdtflg" description="Mandatory flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dbfadrblk" column="dbfadrblk" description="Addressblock as from database" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="oldadrblk" column="oldadrblk" description="Old addressblock as read from PTS" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="oldflg" column="oldflg" description="Flag set, if PTS has been read from database" codetable="oldflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oldptsptainr" column="oldptsptainr" description="Old PTAINR as read from PTS" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptytyp" column="ptytyp" description="Type of Party" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptyextkey" column="ptyextkey" description="External Key of party" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptybchref" column="ptybchref" description="Party Branch code for reference number" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rolchgflg" column="rolchgflg" description="Changes allowed flag" viewtype="Combobox" codetable="rolchgflg" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rolchgmsg" column="rolchgmsg" description="Reason of role change restriction" datatype="block" viewtype="Block" length="80" lineOrDecimalSize="5" viewlines="1" />
<datafields comments="" name="rskcty" column="rskcty" description="Risk Countryfrom PTY" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="intptssig" column="intptssig" description="Signature of last asserted PTS-status" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rolsetflg" column="rolsetflg" description="Flag whether role is set" codetable="rolsetflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptyinfdsp" column="ptyinfdsp" description="Display Party Information" length="1" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="isRolSet" codeText="@0000" moduleName="ptspta"/>
<defaultRules name="rolsetflg" type="default" codeText="@0001" order="1000" moduleName="ptspta" />
<localMethods type="local" name="defaultROLSETFLG" codeText="@0002" moduleName="ptspta"/>
<localMethods type="local" name="printName" codeText="@0003" moduleName="ptspta"/>
<modules name="pts" type="pts" >
</modules>
<modules name="pta" type="pta" >
</modules>
<modules name="adr" type="adr" >
</modules>
<datafields comments="" name="ptyinftxt" column="ptyinftxt" description="Party Infotext" datatype="stream" viewtype="Block" length="60" lineOrDecimalSize="0" />
<datafields comments="" name="sla" column="sla" description="Service Level Agreement" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dbfadrblkcn" column="dbfadrblkcn" description="Chinese address" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="chnguaflg" column="chnguaflg" description="Chinese Gua." length="2" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="getAddressBnk" codeText="@0004" moduleName="ptspta"/>
<localMethods type="local" name="getAddressCli" codeText="@0005" moduleName="ptspta"/>
<localMethods type="local" name="printaddressblk" codeText="@0006" moduleName="ptspta"/>
<localMethods type="local" name="printAdrBlock" codeText="@0007" moduleName="ptspta"/>
<localMethods type="local" name="prTAdRBlK" codeText="@0008" moduleName="ptspta"/>
<localMethods type="local" name="printEnADRBlk" codeText="@0009" moduleName="ptspta"/>
<defaultRules name="chnguaflg" type="default" codeText="@0010" order="1000" moduleName="ptspta" />
<localMethods type="local" name="printaddressblkZZZ" codeText="@0011" moduleName="ptspta"/>
<localMethods type="local" name="newprintaddressblkZZZ" codeText="@0012" moduleName="ptspta"/>
<localMethods type="local" name="prTCnAdRBlK" codeText="@0013" moduleName="ptspta"/>
<localMethods type="local" name="newGetAddressBnk" codeText="@0014" moduleName="ptspta"/>
<localMethods type="local" name="getEnADRBlk" codeText="@0015" moduleName="ptspta"/>
<localMethods type="local" name="prTCnNamBlK" codeText="@0016" moduleName="ptspta"/>
<localMethods type="local" name="getRolAndGrpModfromPtsPta111" codeText="@0017" moduleName="ptspta"/>
<localMethods type="local" name="printAdrFourLines" codeText="@0018" moduleName="ptspta"/>
<localMethods type="local" name="printAdrOneLine" codeText="@0019" moduleName="ptspta"/>
<localMethods type="local" name="prtCusinfForwh" codeText="@0020" moduleName="ptspta"/>
<localMethods type="local" name="prtCusinfForwhEN" codeText="@0021" moduleName="ptspta"/>
<localMethods type="local" name="getCnAndEnNames" codeText="@0022" moduleName="ptspta"/>
<localMethods type="local" name="isDemestic" codeText="@0023" moduleName="ptspta"/>
<localMethods type="local" name="printEnAdrblkWH" codeText="@0024" moduleName="ptspta"/>
<localMethods type="local" name="prtCusinfForHZ" codeText="@0025" moduleName="ptspta"/>
<localMethods type="local" name="printAdrFourLines1" codeText="@0026" moduleName="ptspta"/>
<modules name="bch" type="bch" >
</modules>
</eibs:Module>
