<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="setglg" table="setglg" title="Settlement bookings group module (3rd grid)"
    transient="true" i18nSequence="21" ruleSequence="38">
  <datafields name="keyamt" column="keyamt" description="Keyamount" datatype="numeric"
      viewtype="Amount" length="1"/>
  <datafields name="keycur" column="keycur" description="Currency of Keyammount" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="rolnotpaymsg" column="rolnotpaymsg" description="Roles for which payment message should not be generated automatically"
      datatype="block" viewtype="Block" length="3" lineOrDecimalSize="8" viewlines="8"/>
  <datafields name="dspflg" column="dspflg" description="Type of settlement" viewtype="Combobox"
      length="2" lineOrDecimalSize="1" codetable="dspflg" argument="true"/>
  <datafields name="mac" column="mac" description="current MAC" lineOrDecimalSize="1"/>
  <datafields name="macold" column="macold" description="MAC after last run of Assert-fuction"
      lineOrDecimalSize="1"/>
  <datafields name="maceogold" column="maceogold" description="old MAC end processing"
      lineOrDecimalSize="1"/>
  <datafields name="maceog" column="maceog" description="current MAC end processing"
      lineOrDecimalSize="1"/>
  <datafields name="wrksumcon" column="wrksumcon" description="Info of WRKSUM entries in Cache"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="setglgamtcon" column="setglgamtcon" description="Info of Cache entries for external set amounts"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="totamt" column="totamt" description="Total amount settled" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="doccur" column="doccur" description="document currency" length="3"
      lineOrDecimalSize="1" argument="true"/>
  <datafields name="docamt" column="docamt" description="document amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3" argument="true"/>
  <datafields name="gllgrpstm" column="gllgrpstm" description="Groups of" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="gllgrpdftstm" column="gllgrpdftstm" description="Default setting for GLLGRP"
      datatype="stream" viewtype="Block" length="1" access="private"/>
  <datafields name="labdspflg" column="labdspflg" description="Label for Type of Settlement"
      viewtype="Label" length="40" lineOrDecimalSize="1"/>
  <datafields name="allvaldat" column="allvaldat" description="Value date for all lines of settlement"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="allvaldatflg" column="allvaldatflg" description="Type of setting"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="allvaldatflg"/>
  <datafields name="creemplinflg" column="creemplinflg" description="Create empty line flag"
      length="1" lineOrDecimalSize="1"/>
  <modules name="setgll" type="setgll" list="true" pageSize="1"/>
  <modules name="wrksum" type="setsumw"/>
  <modules name="wrkcur" type="cur"/>
  <modules name="wrkglp" type="glp"/>
  <panels name="setglp" description="PD000000" width="710" height="180" transient="true">
    <components path="labdspflg" viewType="Label" width="266" enabled="false" left="92"
        top="0" height="22"/>
    <components viewType="Label" text="SF000001" left="4" top="0" height="22"/>
  </panels>
  <localMethods name="recalcSetglgBog" type="local" codeText="@0000" moduleName="setglg"/>
  <localMethods name="setKeyAmtForRol" type="local" codeText="@0001" moduleName="setglg"/>
  <localMethods name="internalGllAdjust" type="local" codeText="@0002" moduleName="setglg"/>
  <localMethods name="internalGlgDistrib" type="local" codeText="@0003" moduleName="setglg"/>
  <localMethods name="getSettledAmount" type="local" codeText="@0004" moduleName="setglg"/>
  <localMethods name="getSetAmtSysByRolTypDsp" type="local" codeText="@0005" moduleName="setglg"/>
  <localMethods name="getSumtabRowForRole" type="local" codeText="@0006" moduleName="setglg"/>
  <localMethods name="swiftGetERIOriAmt" type="local" codeText="@0007" moduleName="setglg"/>
  <localMethods name="sumTabRowIsERI" type="local" codeText="@0008" moduleName="setglg"/>
  <localMethods name="internalWrkSumCollect" type="local" codeText="@0010" moduleName="setglg"/>
  <localMethods name="internalWrksumGetByKey" type="local" codeText="@0011" moduleName="setglg"/>
  <localMethods name="internalWrksumSet" type="local" codeText="@0012" moduleName="setglg"/>
  <localMethods name="internalWrksumGetByIdx" type="local" codeText="@0013" moduleName="setglg"/>
  <localMethods name="setglgAddAmount" type="local" codeText="@0014" moduleName="setglg"/>
  <localMethods name="setglgClrAmount" type="local" codeText="@0015" moduleName="setglg"/>
  <localMethods name="internalSetAmountCache" type="local" codeText="@0016" moduleName="setglg"/>
  <localMethods name="setglgAddAmtFldAccCur" type="local" codeText="@0017" moduleName="setglg"/>
  <localMethods name="setglgAddAmtFldValDat" type="local" codeText="@0018" moduleName="setglg"/>
  <localMethods name="setglgAddAmtFldExtRat" type="local" codeText="@0019" moduleName="setglg"/>
  <localMethods name="recalcSetglgEog" type="local" codeText="@0021" moduleName="setglg"/>
  <localMethods name="setwrkGlp" type="local" codeText="@0022" moduleName="setglg"/>
  <localMethods name="internalGetGlp" type="local" codeText="@0023" moduleName="setglg"/>
  <localMethods name="internalGlpCheck" type="local" codeText="@0024" moduleName="setglg"/>
  <localMethods name="internalSetValdat" type="local" codeText="@0025" moduleName="setglg"/>
  <localMethods name="getGllGrpFlg" type="local" codeText="@0026" moduleName="setglg"/>
  <localMethods name="setDefaultGlgGrp" type="local" codeText="@0027" moduleName="setglg"/>
  <localMethods name="getNumberOfSettledRowsForRole" type="local" codeText="@0028"
      moduleName="setglg"/>
  <localMethods name="getFinAmtSys" type="local" codeText="@0029" moduleName="setglg"/>
  <localMethods name="isexternaldsp" type="local" codeText="@0030" moduleName="setglg"/>
  <localMethods name="registerdocuments" type="local" codeText="@0031" moduleName="setglg"/>
  <localMethods name="getCprAdd" type="local" codeText="@0032" moduleName="setglg"/>
  <localMethods name="getRateXrtWithResRatesZZZ" type="local" codeText="@0033" moduleName="setglg"/>
  <localMethods name="checkXrtChg" type="local" codeText="@0034" moduleName="setglg"/>
  <localMethods name="setSettlementDetails" type="local" codeText="@0035" moduleName="setglg"/>
  <localMethods name="diasav" type="local" codeText="@0036" moduleName="setglg"/>
  <localMethods name="registerAddTxt" type="local" codeText="@0037" moduleName="setglg"/>
  <defaultRules name="mac" type="default" codeText="@0009" order="1000" moduleName="setglg"/>
  <defaultRules name="maceog" type="default" codeText="@0020" order="1000" moduleName="setglg"/>
</eibs:Module>
