<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="spt" table="spt" title="SPT - System Pending Transaction" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Pending Transaction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Table Used to Store Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objnam" column="objnam" description="External Readable Object Identification" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objref" column="objref" description="Reference" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="txt" column="txt" description="User Readable Source of the Pending Entry" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dattim" column="dattim" description="Time of Creation" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="usr" column="usr" description="Creating User ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ssninr" column="ssninr" description="INR of Creating Session" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frm" column="frm" description="Transaction Used to Reload/Process" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pan" column="pan" description="Panel to be Restored when Picking Up" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sta" column="sta" description="Status" viewtype="Combobox" codetable="sta" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="delflg" column="delflg" description="Item is deleted" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hldflg" column="hldflg" description="Hold Flag" viewtype="Combobox" codetable="hldflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="infdsp" column="infdsp" description="Info Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inftxt" column="inftxt" description="Infotext" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="ownusg" column="ownusg" description="Responsible Group Optional" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="smhinr" column="smhinr" description="INR of Message Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="mapflg" column="mapflg" description="Mapping Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cretrn" column="cretrn" description="Creating Transaction ID" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ordinr" column="ordinr" description="INR of Order Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tardattim" column="tardattim" description="Target Time for Completion" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="creobjtyp" column="creobjtyp" description="Object Type of Creating Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="creobjinr" column="creobjinr" description="INR of Creating Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam59" column="nam59" description="MT103-59 NAM" length="120" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="deltfg" column="deltfg" description="Item is deleted" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relcur" column="relcur" description="Relevant Currency Optional" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relamt" column="relamt" description="Relevant Amount Optional" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Pending Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity of Pending Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptainr" column="ptainr" description="ID OF PTA" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="payflg" column="payflg" description="是否付款业务（通过报文类型判断）" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wrkgrp" column="wrkgrp" description="WORK GROUP" codetable="wrkgrp" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wrkusr" column="wrkusr" description="WORK USER" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BCHKEY INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="vipflg" column="vipflg" description="VIPFLG" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="CREDAT" datatype="date" viewtype="Date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="msgtyp" column="msgtyp" description="SWIFT TYPE" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="flg202" column="flg202" description="Flg of 202 cp or other" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="imginr" column="imginr" description="Image inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lstusr" column="lstusr" description="LAST USER" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lstgrp" column="lstgrp" description="LAST GROUP" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmtflg" column="rmtflg" description="解付标志N---不可以解付；Y---可以解付" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="act59" column="act59" description="MT103-59 ACT" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clrflg" column="clrflg" description="是否清算标识" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frzeno" column="frzeno" description="冻结编号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frzeaccount" column="frzeaccount" description="冻结�'�户" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="客户号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f20" column="f20" description="20lan" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f21" column="f21" description="21lan" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f50acc" column="f50acc" description="50栏�'�户" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f50adr" column="f50adr" description="50栏地址" length="160" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f70" column="f70" description="70栏" length="160" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur33b" column="cur33b" description="33B cur" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt33b" column="amt33b" description="33b amt" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="zmqflg" column="zmqflg" description="自�'�区标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oldsta" column="oldsta" description="Status" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="terflg" column="terflg" description="涉恐标志" codetable="terflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="remark" column="remark" description="remarks" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="4" viewlines="1" />
<datafields comments="" name="t21tel33n" column="t21tel33n" description="T21TEL33N" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="t21ben59" column="t21ben59" description="T21BEN59" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
