<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="trn" table="trn" title="TRN - 交易信息" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Transaction Control Record" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inidattim" column="inidattim" description="Timestamp of Entry of Transaction" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="inifrm" column="inifrm" description="Frame Used to Create the Transaction" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="iniusr" column="iniusr" description="User Creating the Transaction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ininam" column="ininam" description="Transaction Name of Storing Transaction" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Own Reference" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type of Associated Contract Optional" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR of Associated Contract Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objnam" column="objnam" description="External Readable Object Identification" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ssninr" column="ssninr" description="INR of SSN where transaction was created" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="smhnxt" column="smhnxt" description="Next Counter for SMH within TRN" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="usg" column="usg" description="Responsible Group" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usr" column="usr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cpldattim" column="cpldattim" description="Timestamp of Completion Execution of Last Service" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="infdsp" column="infdsp" description="Infoflag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inftxt" column="inftxt" description="Infotext" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="relflg" column="relflg" description="Release Status" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="comflg" column="comflg" description="Committed 'C' if Committed" codetable="comflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="comdat" column="comdat" description="Date of Commit" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cortrninr" column="cortrninr" description="INR of preceeding TRN" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xreflg" column="xreflg" description="Status of Recalculation" codetable="xreflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrecurblk" column="xrecurblk" description="Currencies Handled by Transaction" datatype="block" viewtype="Block" length="3" lineOrDecimalSize="10" viewlines="1" />
<datafields comments="" name="relcur" column="relcur" description="Currency of Relevant Amount for Release" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relamt" column="relamt" description="Relevant Amount for Release" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="reloricur" column="reloricur" description="Currency of Relevant Amount for Release in Original Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reloriamt" column="reloriamt" description="Relevant Amount for Release in Original Currency" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="relreq" column="relreq" description="Required Signatures" length="3" lineOrDecimalSize="3" viewlines="1" />
<datafields comments="" name="relres" column="relres" description="Applied Signatures" length="3" lineOrDecimalSize="3" viewlines="1" />
<datafields comments="" name="cnfflg" column="cnfflg" description="Flag, if External Confirmation Necessary" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="evttxt" column="evttxt" description="Events" datatype="block" viewtype="Block" length="80" lineOrDecimalSize="50" viewlines="15" />
<datafields comments="" name="rprusr" column="rprusr" description="Sent for Repair to" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ordinr" column="ordinr" description="INR of Triggering Order" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="exedat" column="exedat" description="Execution Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="xidflg" column="xidflg" description="反�'�钱和ABOQ回退标识" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rptno" column="rptno" description="申报号码" length="22" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Transaction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH KEY INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accbchinr" column="accbchinr" description="Account Branch INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relreq0" column="relreq0" description="RELEASE REQUIRE CENTER" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relreq1" column="relreq1" description="RELEASE REQUIRE BRANCH" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relreq2" column="relreq2" description="RELEASE REQUIRE SUB BRANCH" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relres0" column="relres0" description="RELEASE SERVER CENTER" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relres1" column="relres1" description="RELEASE SERVER BRANCH" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relres2" column="relres2" description="RELEASE SERVER SUB BRANCH" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relusr1" column="relusr1" description="RELEASE USER1" length="100" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relusr2" column="relusr2" description="RELEASE USER2" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relusr3" column="relusr3" description="RELEASE USER3" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="imginr" column="imginr" description="inr of image" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orgflg" column="orgflg" description="Organ flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="addtxt" column="addtxt" description="Addtional text" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="4" viewlines="1" />
<datafields comments="" name="cdeflg" column="cdeflg" description="回单回退标识" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chkusr" column="chkusr" description="Undo  授权柜员" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usdcur" column="usdcur" description="USDCUR" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usdamt" column="usdamt" description="USDAMT" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="nbsaplref" column="nbsaplref" description="网银申请编号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgtxt" column="msgtxt" description="new datafield" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="sptinr" column="sptinr" description="spt inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oitinr" column="oitinr" description="OIT表" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
